import global_config
from pythonosc.dispatcher import Dispatcher
from pythonosc.osc_server import BlockingOSCUDPServer

tool = comp.FindTool( global_config.TOOL_NAME )
print("Target tool obtained: " + str(tool))

def default_handler(address, *args):
    print(f"DEFAULT {address}: {args}")

def rgb_handler(address, *args):
    # forward the data to the tool upon receival
    tool.SetData( global_config.TOOL_DATA_BUFFER_KEY, args )
    # print(args)
    
dispatcher = Dispatcher()
dispatcher.map(global_config.OSC_PATH_ADDRESS, rgb_handler)
dispatcher.set_default_handler(default_handler)

server = BlockingOSCUDPServer((global_config.SERVER_IP, global_config.SERVER_PORT), dispatcher)
server.serve_forever()  # Blocks forever